Bug 459923 - Port Sunbird to system libical
Port Sunbird to system libical
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: sunbird (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-24 11:37 EDT by Debarshi Ray
Modified: 2008-10-20 18:14 EDT (History)
2 users (show)

See Also:
Fixed In Version: sunbird-0.9-2.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-24 12:19:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Debarshi Ray 2008-08-24 11:37:39 EDT
Description of problem:

Mozilla Sunbird, like many other applications, uses a forked version of the Libical library. The library's upstream has been resurrected at http://freeassociation.sourceforge.net/ and work is on to merge the changes made by various projects into a single upstream library.

Can we make Fedora's sunbird package to build/work with the libical package shipped in Fedora?


Version-Release number of selected component (if applicable):

0.8


Actual results:

Links against forked version of libical.


Expected results:

Should use system's version of libical.
Comment 1 Debarshi Ray 2008-09-06 13:37:12 EDT
For your information, Libical 0.32 is now in Fedora and they have moved their headers from /usr/include to /usr/include/libical. However /usr/include/ical.h has been retained (deprecated actually) for compatibility.
Comment 2 Lubomir Rintel 2008-09-24 12:19:45 EDT
Rishi, thanks for report. The patch for linking against system libical was included in sunbird-0.9-2.fc10 that will go to Fedora 10.
Comment 3 Fedora Update System 2008-10-01 05:57:11 EDT
sunbird-0.9-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/sunbird-0.9-2.fc9
Comment 4 Fedora Update System 2008-10-20 18:14:35 EDT
sunbird-0.9-2.fc9.1 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.